Supporting the Original Field of Glory (Full Version)

All Forums >> [New Releases from Matrix Games] >> Field of Glory Series



Message


IainMcNeil -> Supporting the Original Field of Glory (7/13/2016 2:08:25 PM)

Hi guys,

We can see from the feedback that a large number of you are unhappy with the Unity version of Field of Glory and wanted to give you a bit more information. The reason the Unity project came about was that the developer had moved on and we had no way to update or fix anything in the original. We canít add expansions, we canít do anything. As a result we decided to pass it on to a new developer, Newrosoft, who decided it was better to write the game from scratch in Unity than to try and maintain the original code which was in Real basic. Dan at Newrosoft was a player of Field of Glory and a big fan so was the perfect fit to carry the flag. As a result there is no shared code between the two versions, itís in development terms a completely new project. The assets are all exactly the same but depending on scaling and compression there may be some difference between how they appear. As the code is all new things function in different ways so there is a certain amount of stuff to relearn but there are also something that are clearly missing from the Unity version that need to be added.

While Newrosoft continue to work on resolving these issues we think the best thing to do is to allow you all to continue playing the Original version if you prefer. We will continue to maintain the PBEM server indefinitely. We have added the Original version to the members area so you can re-download it or if you are new user just download it, once you have registered your serial. We have marked all the downloads as clearly as possible so you can tell the New Unity version from the Original version.

Just to be clear you can have both the New Unity version and the Original version installed on the same PC. They are compatible with each other.

You can download the Original installers, its patches and all of the Original expansion installers here:
http://www.matrixgames.com/members

As these are old files you should install in the following order on PC:
ē Field of Glory 1.5.0
ē All expansions in any order
ē Field of Glory patch 1.8.1 must be installed last. If you do things in the wrong order donít worry. You can just install the patch 1.8.1 again at the end to be safe and this will resolve any issues. As long as the last thing you install is 1.8.1 it will be fine.

On Mac you just need the 1.8.1 dmg file and you unlock the expansions in game.

Because we are unable to change the original version of the game we cannot add the new DLCís to it. We have modified the product pages for both new DLCís to make it clear these are only compatible with the new Unity version and link to the forum where this is being discussed so new customers will be aware of the current issues and not be surprised about what they are getting.

In addition, as a gesture of goodwill, everyone who has already bought an expansion will be receiving a $10 discount coupon for the store. If you bought both youíll be receiving 2 coupons. This will let you instead buy a different expansion that is compatible with the original version or something else entirely from the store.

Weíre very sorry if you are unhappy with the new version. We want you to continue to enjoy the game and will do everything we can to support this. Dan is committed to improving the game and we are working with him to compile a list of issues with priorities.

The Matrix Team




vaalen -> RE: Supporting the Original Field of Glory (7/13/2016 8:44:30 PM)

The Field of Glory installer for 1.5.0, for the PC, is only 2.43 mgs, while the installer for the patch is over 300 mgs.

Can this tiny download actually install the 1.5.0 version of Field of Glory?




VPaulus -> RE: Supporting the Original Field of Glory (7/13/2016 9:45:20 PM)


quote:

ORIGINAL: vaalen

The Field of Glory installer for 1.5.0, for the PC, is only 2.43 mgs, while the installer for the patch is over 300 mgs.

Can this tiny download actually install the 1.5.0 version of Field of Glory?

Sorry, it's a mistype. If you click on the link you'll see it's a 259Mb installer file. :)




vaalen -> RE: Supporting the Original Field of Glory (7/13/2016 10:04:44 PM)

Thank you, VPaulus.




vaalen -> RE: Supporting the Original Field of Glory (7/13/2016 10:09:04 PM)


quote:

ORIGINAL: Iain McNeil

Hi guys,

We can see from the feedback that a large number of you are unhappy with the Unity version of Field of Glory and wanted to give you a bit more information. The reason the Unity project came about was that the developer had moved on and we had no way to update or fix anything in the original. We canít add expansions, we canít do anything. As a result we decided to pass it on to a new developer, Newrosoft, who decided it was better to write the game from scratch in Unity than to try and maintain the original code which was in Real basic. Dan at Newrosoft was a player of Field of Glory and a big fan so was the perfect fit to carry the flag. As a result there is no shared code between the two versions, itís in development terms a completely new project. The assets are all exactly the same but depending on scaling and compression there may be some difference between how they appear. As the code is all new things function in different ways so there is a certain amount of stuff to relearn but there are also something that are clearly missing from the Unity version that need to be added.

While Newrosoft continue to work on resolving these issues we think the best thing to do is to allow you all to continue playing the Original version if you prefer. We will continue to maintain the PBEM server indefinitely. We have added the Original version to the members area so you can re-download it or if you are new user just download it, once you have registered your serial. We have marked all the downloads as clearly as possible so you can tell the New Unity version from the Original version.

Just to be clear you can have both the New Unity version and the Original version installed on the same PC. They are compatible with each other.

You can download the Original installers, its patches and all of the Original expansion installers here:
http://www.matrixgames.com/members

As these are old files you should install in the following order on PC:
ē Field of Glory 1.5.0
ē All expansions in any order
ē Field of Glory patch 1.8.1 must be installed last. If you do things in the wrong order donít worry. You can just install the patch 1.8.1 again at the end to be safe and this will resolve any issues. As long as the last thing you install is 1.8.1 it will be fine.

On Mac you just need the 1.8.1 dmg file and you unlock the expansions in game.

Because we are unable to change the original version of the game we cannot add the new DLCís to it. We have modified the product pages for both new DLCís to make it clear these are only compatible with the new Unity version and link to the forum where this is being discussed so new customers will be aware of the current issues and not be surprised about what they are getting.

In addition, as a gesture of goodwill, everyone who has already bought an expansion will be receiving a $10 discount coupon for the store. If you bought both youíll be receiving 2 coupons. This will let you instead buy a different expansion that is compatible with the original version or something else entirely from the store.

Weíre very sorry if you are unhappy with the new version. We want you to continue to enjoy the game and will do everything we can to support this. Dan is committed to improving the game and we are working with him to compile a list of issues with priorities.

The Matrix Team


Iain, thank you for doing the right thing.




Rosseau -> RE: Supporting the Original Field of Glory (7/14/2016 12:06:07 AM)

The only thing I would ask is make the hundreds of old custom scenarios compatible with the new version down the road. This appears to be possible once the editor is released. BTW, a supposedly more powerful editor.

Beyond that, and a few UI tweaks, I don't think the new version is so bad! I will definitely be buying at least one DLC once the editor is released as a patch.




Noypi53 -> RE: Supporting the Original Field of Glory (7/14/2016 9:59:13 AM)


quote:

ORIGINAL: vaalen

Iain, thank you for doing the right thing.


+1 [sm=happy0065.gif]




vaalen -> RE: Supporting the Original Field of Glory (7/14/2016 3:29:45 PM)


quote:

ORIGINAL: rosseau

The only thing I would ask is make the hundreds of old custom scenarios compatible with the new version down the road. This appears to be possible once the editor is released. BTW, a supposedly more powerful editor.

Beyond that, and a few UI tweaks, I don't think the new version is so bad! I will definitely be buying at least one DLC once the editor is released as a patch.

Actually, many people, including me, have run into many situations where movement and combat do not work properly, including units that just disappear, and many other problems that are listed in detail in a couple of threads on the Slitherine forum. These leave the new version broken, in my opinion. I am certain that Slitherine will try to fix it, and they should be able to, but supporting the old game until the problems are fixed is the best alternative.




Rosseau -> RE: Supporting the Original Field of Glory (7/14/2016 10:02:01 PM)

Okay, and thanks for the update. Guess I will be sticking with the original until the time comes.




Toby42 -> RE: Supporting the Original Field of Glory (7/14/2016 11:33:17 PM)


quote:

ORIGINAL: rosseau

Okay, and thanks for the update. Guess I will be sticking with the original until the time comes.


Same here. I removed the unity version and will stay with the original!




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
0.0234375